<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>WYSIWYG y los lenguajes de etiquetas</title>
        <link rel="stylesheet" href="../css/styles.css" />
    </head>
    <body epub:type="chapter">
        <h1>WYSIWYG y los lenguajes de etiquetas</h1>
        <p>En general, puede decirse que desde mediados de los ochenta surgieron dos enfoques relacionados al tratamiento del texto digital: <a href="https://es.wikipedia.org/wiki/WYSIWYG">WYSIWYG</a> y los <a href="https://es.wikipedia.org/wiki/Lenguaje_de_marcado">lenguajes de marcado</a>. El primero es el acrónimo de <em>What You See Is What You Get</em>, con el cual se hace patente que su aproximación estriba en dotarle al usuario de la mayor flexibilidad posible en el formato de un texto, principalmente mediante la introducción de estilos directos. Esta versatilidad no solo permite al usuario visualizar inmediatamente sus modificaciones, sino que también respeta el formato hasta su impresión. <em>Lo que ves en la pantalla, es lo que obtienes en el papel</em>.</p>
        <p>La otra aproximación consiste en dotarle al usuario de un gran control sobre la estructura de un texto. Para ello es necesario la introducción de <em>etiquetas</em>; a saber, un marcaje que permite delimitar unidades en la estructura. Esta delimitación únicamente se pensó como una medida de control en la apariencia de un texto, e implica que todavía hoy el usuario debe marcar el documento cada vez que desee un cambio estético. Debido a esta metodología, el usuario se ve en la necesidad de trabajar sobre un documento que tiene que <a href="https://es.wikipedia.org/wiki/Motor_de_renderizado">renderizar</a> o <a href="https://es.wikipedia.org/wiki/Compilador">compilar</a> para poder ver su resultado, donde las etiquetas desaparecen para dar lugar a los cambios de aspecto.</p>
        <figure>
            <img src="../img/interiores/wysiwygYlatex.jpg" />
            <figcaption>Figura 6. Comparación del mismo texto desde un enfoque WYSIWYG y de lenguaje de marcado LaTeX. Fuente: <a href="https://commons.wikimedia.org/wiki/File:Lorem_Ipsum_-_WYSIWYG_en_Latex_-_tekst_als_paden.svg">Wikimedia Commons</a>.</figcaption>
        </figure>
        <p>Durante los años noventa el lenguaje de marcado más desarrollado era TeX. El incipiente surgimiento de la web trajo consigo el nacimiento del HTML y, posteriormente, del XML, pero estos lenguajes de marcado no fueron considerados para fines editoriales. (Quién diría que a inicios del siguiente milenio estos se constituirán como las bases para las publicaciones digitales). Durante esta década, quienes vivían de las letras, por desconocimiento, pereza o premura, optaron por trabajar desde un <em>software</em> que ya les era familiar. Escritores y editores sentaron las bases para darle un uso distinto al procesador de texto. La edición digital se inclinó al enfoque WYSIWYG que implementaba esta clase de programas.</p>
        <p>Otro argumento para la predilección del enfoque WYSIWYG es que la presentación más madura y más afín al sector editorial del lenguaje de marcado estaba pensado para la <em>composición</em> de textos, no para su <em>edición</em>. Efectivamente, el quehacer del editor no es sencillo si se hace directamente desde TeX. Por lo general, este lenguaje entra en escena una vez que el editor da el visto bueno, permitiendo así pasar al área de diagramación, en donde quizá existan ajustes, pero nada significativo al trabajo realizado con anterioridad.</p>
    </body>
</html>
